IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE]') AND type in (N'U'))
BEGIN
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 11 AND CAMPO_DANFE = 'VALOR_BASE_ICMS'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 12 AND CAMPO_DANFE = 'VALOR_ICMS'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_IPI')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 18 AND CAMPO_DANFE = 'VALOR_BASE_IPI'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_IPI')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 19 AND CAMPO_DANFE = 'VALOR_IPI'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS_ST')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 15 AND CAMPO_DANFE = 'VALOR_BASE_ICMS_ST'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS_ST')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 16 AND CAMPO_DANFE = 'VALOR_ICMS_ST'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_ICMS_RET')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 29 AND CAMPO_DANFE = 'VALOR_BASE_ICMS_RET'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_ICMS_RET')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 30 AND CAMPO_DANFE = 'VALOR_ICMS_RET'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP_ST')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 44 AND CAMPO_DANFE = 'VALOR_BASE_FECOP_ST'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP_ST')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 46 AND CAMPO_DANFE = 'VALOR_FECOP_ST'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP_ST_RET')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 47 AND CAMPO_DANFE = 'VALOR_BASE_FECOP_ST_RET'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP_ST_RET')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 49 AND CAMPO_DANFE = 'VALOR_FECOP_ST_RET'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_BASE_FECOP')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 50 AND CAMPO_DANFE = 'VALOR_BASE_FECOP'
	END
	IF EXISTS(SELECT 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE WHERE CAMPO_DANFE = 'VALOR_FECOP')
	BEGIN
		UPDATE A SET A.CAMPO_MONETARIO = 1 FROM EST_NF_ENT_DANFE_PROVISORIO_ITENS_VALIDACAO_CAMPOS_DANFE A WHERE CD_CAMPO = 52 AND CAMPO_DANFE = 'VALOR_FECOP'
	END
END